Debian - Instalacja OpenProject.

Tematy związane z oprogramowaniem, instalacją, konfiguracją
pisul_debian
Posty: 4
Rejestracja: 20 listopada 2017, 22:38

Debian - Instalacja OpenProject.

Post autor: pisul_debian » 21 listopada 2017, 22:22

Witam.
Chciałbym sobie zainstalować OpenProject. Jestem nowy w linux. Najpierw chwyciłem się za Ubuntu, gdzie był problem z instalacją tego programu. Teraz doinstalowałem Debian, bo miał być stabilny i wogóle fajny. Instalacja OpenProject również nie idzie, bo brakuje poniższych pakietów.

Kod: Zaznacz cały

Następujące pakiety mają niespełnione zależności:
 openproject : Wymaga: libssl1.0.0 ale nie da się go zainstalować
               Wymaga: libmysqlclient18 ale nie da się go zainstalować
               Wymaga: libreadline6 ale nie da się go zainstalować
               Wymaga: libmagickwand-6.q16-2 ale nie da się go zainstalować

Chciałbym uzyskać radę jak to doinstalować.
Chciałbym też aby mnie ktoś nakierował, bo nie rozumiem jednej rzeczy związanej z tymi wersjami. OpenProject powinien działać pod wersją Debian8 Debian9.
Ja poniesiony ułańską fantazję zainstalowałem wersję... myślałem że jakąś 9, a mam:

Kod: Zaznacz cały

uname -a
Linux debian 4.9.0-4-amd64 #1 SMP Debian 4.9.51-1 (2017-09-28) x86_64 GNU/Linux
Co jest nie tak? Jak doprowadzić do instalacji tego OpenProject?

Pozdrawiam.

Awatar użytkownika
saturno
Junior Member
Posty: 681
Rejestracja: 08 lipca 2008, 20:04

Re: Debian - Instalacja OpenProject.

Post autor: saturno » 21 listopada 2017, 23:48

Wersję Debiana sprawdza się:

Kod: Zaznacz cały

cat /etc/debian_version
Odnośnie instalacji OpenProject wstawiłeś wynik jakiegoś polecenia znanego tylko tobie.
Na przyszłość wstawiaj polecenie razem z wynikiem tego polecenia.
Nie wiadomo czy instalujesz program z repozytorium czy też ściągnięty z jakiejś strony.

Ps.: Według wiadomości zawartych na stronie program nie wspiera Debiana 9:

Obrazek

pisul_debian
Posty: 4
Rejestracja: 20 listopada 2017, 22:38

Re: Debian - Instalacja OpenProject.

Post autor: pisul_debian » 22 listopada 2017, 21:42

No tak... obiecuję poprawę.
Sprawdziłem.

Kod: Zaznacz cały

cat /etc/debian_version
9.1
Chciałbym zaznaczyć, że jestem dość sędziwy człowiek, więc nie denerwujcie się, że robię lipę i nie szukam po necie. Po prostu wiedza o linux przychodzi ciężko i niestety nie ma się tyle czasu jak w młodości.

Do rzeczy:
Mam złą wersję systemu. Da się debiana cofnąć do wersji 8 lub zainstalować openproject na wersji 9.1?

Wykonywałem polecenia z instrukcji instalacji ze strony: https://www.openproject.org/download-and-installation/ dla Debian 8.

Kod: Zaznacz cały

wget -qO- https://dl.packager.io/srv/opf/openproject-ce/key | sudo apt-key add -
OK

apt-get install apt-transport-https

sudo wget -O /etc/apt/sources.list.d/openproject-ce.list \
  https://dl.packager.io/srv/opf/openproject-ce/stable/7/installer/debian/8.repo

apt-get update
apt-get install openproject

Po wykonaniu ostatniej instrukcji mam wynik taki:

Kod: Zaznacz cały

apt-get install openprojectCzytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Nie udało się zainstalować niektórych pakietów. Może to oznaczać,
że zażądano niemożliwej sytuacji lub użyto dystrybucji niestabilnej,
w której niektóre pakiety nie zostały jeszcze utworzone lub przeniesione
z katalogu Incoming ("Przychodzące").
Następujące informacje mogą pomóc rozwiązać sytuację:

Następujące pakiety mają niespełnione zależności:
 openproject : Wymaga: libssl1.0.0 ale nie da się go zainstalować
               Wymaga: libmysqlclient18 ale nie da się go zainstalować
               Wymaga: libreadline6 ale nie da się go zainstalować
               Wymaga: libmagickwand-6.q16-2 ale nie da się go zainstalować
E: Nie udało się naprawić problemów, zatrzymano uszkodzone pakiety.

Gdzie szukać tych pakietów?

Awatar użytkownika
saturno
Junior Member
Posty: 681
Rejestracja: 08 lipca 2008, 20:04

Re: Debian - Instalacja OpenProject.

Post autor: saturno » 23 listopada 2017, 00:11

pisul_debian pisze:
22 listopada 2017, 21:42
Po prostu wiedza o linux przychodzi ciężko i niestety nie ma się tyle czasu jak w młodości.

Do rzeczy:
Mam złą wersję systemu. Da się debiana cofnąć do wersji 8 lub zainstalować openproject na wersji 9.1?

Wykonywałem polecenia z instrukcji instalacji ze strony: https://www.openproject.org/download-and-installation/ dla Debian 8.
Przejrzyj: https://community.openproject.com/topics/8048
I jeśli czujesz się na siłach próbuj.

Jeśli natomiast masz mało czasu jak piszesz to najszybszą opcją będzie instalacja Debiana 8, a aktualizacja do Debiana 9 dopiero wtedy jak: OpenProject uzyska oficjalne wsparcie dla Debiana 9

ODPOWIEDZ